%global npm_name char-spinner
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.0.1
Release: %mkrel 4
Summary: Put a little spinner on process
License: ISC
Group: Development/Other
URL: https://github.com/isaacs/char-spinner
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr spin.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.0.1-4.mga9
+ Revision: 1818376
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.1-3.mga8
+ Revision: 1502456
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.1-2.mga7
+ Revision: 1280175
- Mageia 7 Mass Rebuild

* Tue May 22 2018 kekepower <kekepower> 1.0.1-1.mga7
+ Revision: 1231617
- imported package nodejs-char-spinner

